diff --git a/src/lisp/fricas-package.lisp b/src/lisp/fricas-package.lisp
index c0dfc4ef5..37e1afc1e 100644
--- a/src/lisp/fricas-package.lisp
+++ b/src/lisp/fricas-package.lisp
@@ -34,7 +34,12 @@
 #+gcl
 (shadow "QUIT")
 
-(do-symbols (x "FRICAS-LISP") (export (list x)))
+;;; We use uninterned symbols because at this point we do not
+;;; want to add symbols to FRICAS-LISP
+(let ((#1=#:ls nil))
+    (do-symbols (#2=#:el "FRICAS-LISP") (setf #1# (cons #2# #1#)))
+    (mapcar (lambda (#3=#:x) (export (list #3#))) #1#)
+)
 
 (export '(quit chdir |getEnv| |getCLArgs| |load_quietly| get-current-directory
           trim-directory-name pad-directory-name
